gnutls_privkey_decrypt_data(3)

NAME
gnutls_privkey_decrypt_data - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_decrypt_data(gnutls_privkey_t key, unsigned int flags, const gnutls_datum_t * ciphertext, gnutls_datum_t * plaintext);

ARGUMENTS

gnutls_privkey_t key
    Holds the key

unsigned int flags
    zero for now

const gnutls_datum_t * ciphertext
    holds the data to be decrypted

gnutls_datum_t * plaintext
    will contain the decrypted data, allocated with gnutls_malloc()

DESCRIPTION
This function will decrypt the given data using the algorithm supported by the private key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/